Package de.willuhn.jameica.hbci.accounts.hbci.views

# Class HBCIAccountNew

java.lang.Object
de.willuhn.jameica.gui.AbstractView
de.willuhn.jameica.hbci.accounts.hbci.views.AbstractHBCIAccountView
de.willuhn.jameica.hbci.accounts.hbci.views.HBCIAccountNew

public class HBCIAccountNew extends AbstractHBCIAccountView
View zum Erstellen eines neuen HBCI-Bankzugangs.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.accounts.hbci.views.AbstractHBCIAccountView

`i18n`

## Constructor Summary

Constructors
Constructor
Description
`HBCIAccountNew()`

## Method Summary

Modifier and Type
Method
Description
`void`
`bind()`
`void`
`reload()`

### Methods inherited from class de.willuhn.jameica.hbci.accounts.hbci.views.AbstractHBCIAccountView

`getComposite, getController`

### Methods inherited from class de.willuhn.jameica.gui.AbstractView

`canAttach, canBookmark, getCurrentObject, getHelp, getParent, setCurrentObject, setParent, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIAccountNew

public HBCIAccountNew()

## Method Details

### bind

public void bind() throws Exception

Specified by:
  `bind` in class `de.willuhn.jameica.gui.AbstractView`
Throws:
  `Exception`

### reload

public void reload() throws de.willuhn.util.ApplicationException

Overrides:
  `reload` in class `de.willuhn.jameica.gui.AbstractView`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractView.reload()`